Bug 74013 - science/psi3 has a broken Makefile when WITH_OPTIMIZED_FLAGS is defined
science/psi3 has a broken Makefile when WITH_OPTIMIZED_FLAGS is defined
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Maho Nakata
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-16 20:00 UTC by gaoj
Modified: 2004-11-23 02:16 UTC (History)
0 users

See Also:


Attachments
patch-Makefile (680 bytes, text/plain)
2004-11-16 20:00 UTC, gaoj
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description gaoj 2004-11-16 20:00:53 UTC
	
science/psi3 has a broken Makefile when WITH_OPTIMIZED_FLAGS is defined. The
problem is in a if branch. So when WITH_OPTIMIZED_FLAGS is not defined, a user
cannot observe the error. But once WITH_OPTIMIZED_FLAGS is defined, the error
is exposed.

Fix: Apply the following patch in science/psi3
How-To-Repeat: 	
cd /usr/ports/science/psi3
make -DWITH_OPTIMIZED_FLAGS

You will get error message about a broken Makefile
Comment 1 Mark Linimon freebsd_committer 2004-11-17 06:39:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mharo

Over to maintainer.
Comment 2 mharo freebsd_committer 2004-11-17 16:28:20 UTC
Responsible Changed
From-To: mharo->maho

over to real maintainer :-)
Comment 3 Maho Nakata freebsd_committer 2004-11-23 02:16:31 UTC
State Changed
From-To: open->closed

Committed, thanks!